#!/usr/bin/env python
#-*- coding: utf-8 -*-
#Skrypt do pobierania ilości nowych wiadomośći dostepnych na serwerze POP3 wp.pl
#
#Autor ryniek
# ryniek90 [ $at$ ] gmail [ $dot$ ] com 

import os
import sys
import poplib
import datetime  

def connect_and_get():
	#Ustalanie adresu serweru wp.pl
	wpServer = poplib.POP3('pop3.wp.pl')

	#Logowanie się do serwera pocztowego wp.pl
	wpServer.user('login') #Tutaj wpisujemy swój login do poczty, np. gdy nasz mail zwie się tak: 'janek150@wp.pl' to wpisujemy tylko pierwszy człon, czyli 'janek150'.
	wpServer.pass_('hasło') #Tutaj wpisujemy hasło do swojej skrzynki

	#Otrzymanie liczby wiadomości e-mail
	msgNumber = len(wpServer.list()[1])

	if msgNumber == 0:
		print "Brak nowych wiadomości."
	elif msgNumber > 0:
		print "Nowe wiadomości: %d ." % (msgNumber)
	
	wpServer.quit() #Zwolnienie skrzynki pocztowej i zakończenie połączenia

if __name__ == "__main__":
	logfile = open(os.getenv('HOME') + "/pocztawp_logfile.txt", 'a+')
	actual_date = datetime.datetime.today().strftime('--------------------------------------------------------\nData:\n%Y-%m-%d %H:%M\nTreść loga:\n') 
	try:
		connect_and_get()
	except:
		print >>logfile, actual_date, sys.exc_info() # Zapisywanie wyjątków do pliku tekstowego. W przypadku gdy plik zawiera treść wyjątków, kolejne wyjątki są dopisywane do zawartości.
		print "Brak połączenia!"
		
	


	

